Создание локального репозитория:

`git init`

Вывод:

`Initialized empty Git repository in E:/Рабочий стол/test/.git/`


Идентификация репозитория:

`git config user.name "Ваше имя"`
`git config user.email "Ваша почта"`


Отключение проверки сертификата:

`git config --global http.sslVerify false`


Привязка .gitignore командой:

`git add .`


Сохранение отслеживаемых файлов в локальный репозиторий:

`git commit -m "text"`

Вывод:

```
[master (root-commit) 6a5b42f] test
 1 file changed, 7 insertions(+)
 create mode 100644 .gitignore.txt
```


Добавление в настройки локального репозитория ссылку на внешний репозиторий:

`git remote add origin https://kolei.ru/mapetrov/Lab1.git`


Отправление содержимого локального репозитория в внешний репозиторий:

`git push origin master`

Вывод:

```
Enumerating objects: 3, done.
Counting objects: 100% (3/3), done.
Delta compression using up to 12 threads
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 396 bytes | 396.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0), pack-reused 0
To https://kolei.ru/mapetrov/Lab1.git
 * [new branch]      master -> master
branch 'master' set up to track 'origin/master'.

```



